<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>


<script type='text/javascript'   src='js1/jquery-1.8.3.js'></script>
<script type='text/javascript'   src="js1/select2.min.js"></script>
<link rel="stylesheet" type="text/css"   href="js1/select2.css">
<script type='text/javascript'   src="js1/bootstrap.min.js"></script>


<script type='text/javascript'>
$(window).load(function(){
   $('#proveedor').select2();
});
</script>

<script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
</script>

<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

<script>
$(function(){
    $(".validar").keydown(function(event){
        //alert(event.keyCode);
        if((event.keyCode < 48 || event.keyCode > 57) && (event.keyCode < 96 || event.keyCode > 105) && event.keyCode !==190  && event.keyCode !==110 && event.keyCode !==8 && event.keyCode !==9  ){
            return false;
        }
    });
});
</script>

</head>

<BODY onLoad="parametros.id.focus();">
<?php
 
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");


include "../conexion.php";
$id="";	$cantidad="";	$precio=""; 	$proveedor=""; 	$observacion=""; 	$fecha="";		$codpro="";
$factura="";$valorfactura="";$ivafactura="";$fechafactura="";$nombrep="";$tipofactura="";
$fechavence="";$iva10="";$iva5="";
date_default_timezone_set('America/Bogota');
$hora=date("H:i:s");
$fechasis=date("Y-m-d");

$rs_proveedor=mysqli_query($conexion,"SELECT id,nombre FROM proveedor where estado='A'
						 union 
						 select 0,'' from  proveedor
						 order by nombre asc");


										 						 						  
if(isset($_REQUEST["oculto"]))
{ 
	$proveedor=$_REQUEST["proveedor"]; 
	$factura=$_REQUEST["factura"]; 
	$valorfactura=$_REQUEST["valorfactura"]; 
	$ivafactura=$_REQUEST["ivafactura"]; 
	$fechafactura=$_REQUEST["fechafactura"]; 
	$fechavence=$_REQUEST["fechavence"];
	$iva10=$_REQUEST["iva10"];
	$iva5=$_REQUEST["iva5"];
	$tipofactura=$_REQUEST["tipofactura"];


if($_REQUEST["omodificar"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   $facturars=$_REQUEST['rsfactura'.$c];
			   $valorrs=str_replace(',','',$_REQUEST['rsvalor'.$c]);
			   $ivars=str_replace(',','',$_REQUEST['rsiva'.$c]);
			   $iva10rs=str_replace(',','',$_REQUEST['rsiva10'.$c]);
			   $iva5rs=str_replace(',','',$_REQUEST['rsiva5'.$c]);
			   $fechars=$_REQUEST['rsfecha'.$c];
			   $fechavencers=$_REQUEST['rsfechavence'.$c];
			   
			   if($val==1)
				  {   $sql_insert=mysqli_query($conexion,"update inventario_proveedor set 
											factura='".$facturars."',
											valor='".$valorrs."',
											iva='".$ivars."',
											fecha='".$fechars."',
											fechavence='".$fechavencers."',
											iva10='".$iva10rs."',
											iva5='".$iva5rs."'
											where proveedor='".$proveedor."' 
											and id='".$idi."'");
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
  /*	
if($_REQUEST["omodificar"]==1)
  {
	  if($proveedor>0 && $factura<>"")
		{
		 $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from inventario_proveedor 
		 										where proveedor='".$proveedor."' and factura='".$factura."'");
		 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		 if($contar>=1)
		   {
			 
				$valorfactura=str_replace('.','',$valorfactura);
				 $ivafactura=str_replace('.','',$ivafactura);				
				$iva10=str_replace('.','',$iva10);
				$iva5=str_replace('.','',$iva5);

					$sql_insert=mysqli_query($conexion,"update inventario_proveedor set 
											valor='".$valorfactura."',
											iva='".$ivafactura."',
											fecha='".$fechafactura."',
											fechavence='".$fechavence."',
											iva10='".$iva10."',
											iva5='".$iva5."'
											where proveedor='".$proveedor."' 
											and factura='".$factura."'");
		  }
		 else
			{
				 echo "<script>";   echo "alert('No existe el proveedor  con la factura')"; echo "</script>"; 
				  $valorfactura="";   $ivafactura="";	   $fechafactura="";
			}
		}
		else
		{echo "<script>";   echo "alert('Debe Digitar Proveedor y Factura para consultar')"; echo "</script>";}
  }  
*/
if($_REQUEST["oguardar"]==1)
  {
		if($proveedor>0 && $factura<>"" && $valorfactura>0 && $ivafactura>=0 && $fechafactura<>"" && $fechavence<>"")
		{
		 $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from inventario_proveedor 
		 										where proveedor='".$proveedor."' and factura='".$factura."'");
		 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		 if($contar>=1){ echo "<script>";   echo "alert('Ya existe la Factura con el proveedor')"; echo "</script>"; }
		 else
			{
				$valorfactura=str_replace(',','',$valorfactura);
				$ivafactura=str_replace(',','',$ivafactura);
				$iva10=str_replace(',','',$iva10);
				$iva5=str_replace(',','',$iva5);
				 $sql_insert=mysqli_query($conexion,"insert into inventario_proveedor  (proveedor,factura,valor,iva,fecha,fecsis,horasis,usuario,
							fechavence,iva10,iva5,tipofactura)
								 values ('".$proveedor."','".$factura."','".$valorfactura."','".$ivafactura."',
									'".$fechafactura."','".$fechasis."','".$hora."','".$vg_login."',
							'".$fechavence."','".$iva10."','".$iva5."','".$tipofactura."')");
				 if ($sql_insert) { echo "<script>";  echo "alert('Se Guardo la informacion')";  echo "</script>";  }
				 else { echo "<script>";   echo "alert('Error al guardar la informacion')"; echo "</script>"; }
			}
		}
		else
		{echo "<script>";   echo "alert('Debe Digitar Toda la informacion para guardar')"; echo "</script>";}
  }


 if($_REQUEST["ocargainventario"]==1)
  {
   	$cantidad=str_replace('.','',$_REQUEST["cantidad"]); 
	$precio=str_replace('.','',$_REQUEST["precio"]); 
	$observacion=$_REQUEST["observacion"]; 
	
	if($id<>"" && $cantidad>0 && $precio<>"")
		{
		 $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto where codigobarra='".$_REQUEST["id"]."'");
		 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		 if($contar>=1)
			{
			 $sql_datosrs=mysqli_query($conexion,"SELECT id from producto where codigobarra='".$_REQUEST["id"]."'");
			 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $id=$datosrs[0];}
			}
	  
		$sql_datosrs=mysqli_query($conexion,"SELECT count(*) from producto where id='".$id."'");
		while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contarp=$datosrs[0];}  
	   if($contarp>=1)
		  {
			 $sql_insert=mysqli_query($conexion,"insert into inventario  (producto,cantidad,precio,proveedor,factura,observacion,fechaingreso,usuario,fecsis)
													 values ('".$id."','".$cantidad."','".$precio."','".$proveedor."','".$factura."','".$observacion."','".$fechafactura."',
															 '".$vg_login."','".$fechasis."')");
			 if ($sql_insert) { /*echo "<script>";  echo "alert('Se genero la solicitud #$vl_id')";  echo "</script>"; */ }
			 else { echo "<script>";   echo "alert('Error al guardar el registro')"; echo "</script>"; }
		  }
		 else
		  {echo "<script>";   echo "alert('No existe el codigo del producto')"; echo "</script>";} 
		}
	else
	 {echo "<script>";   echo "alert('Digite la informacion del producto')"; echo "</script>";}	
  }
 
 
if($_REQUEST["oquita"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   if($val==1)
				  {   $sql_delete=mysqli_query($conexion,"delete from  inventario  where id=".$idi."");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
 /*
 if($_REQUEST["Obuscar"]==1)
  {
	  if($proveedor>0 && $factura<>"")
		{
		 $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from inventario_proveedor 
		 			where proveedor='".$proveedor."'");
		 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		 if($contar>=1)
		   {
			 $sql_datosrs=mysqli_query($conexion,"SELECT valor,iva,fecha,fechavence,iva10,iva5 from inventario_proveedor 
		 				where proveedor='".$proveedor."' and factura='".$factura."'");
		     while($datosrs= mysqli_fetch_row($sql_datosrs))
			  { 
			   echo $valorfactura=number_format($datosrs[0],2,',','.');
			   $ivafactura=number_format($datosrs[1],2,',','.');
			   $fechafactura=$datosrs[2];
			   $fechavence=$datosrs[3];
			   $iva10=number_format($datosrs[4],2,',','.'); 
			   $iva5=number_format($datosrs[5],2,',','.'); 
			  }
		  }
		 else
			{
				 echo "<script>";   echo "alert('No existe el proveedor  con la factura')"; echo "</script>"; 
				  $valorfactura="";   $ivafactura="";	   $fechafactura="";$fechavence="";$iva10="";$iva5="";
			}
		}
		else
		{echo "<script>";   echo "alert('Debe Digitar Proveedor y Factura para consultar')"; echo "</script>";}
  }
  */
  
  if($_REQUEST["Olimpiar"]==1)
  { $id=""; } 
  
}
$fecha=date("m/d/Y");

?>
<form name="parametros" method="post" action="" >

    
      
      <div align="center">
        <table width="100%" border="0" cellspacing="0" cellpadding="0" >
        <tr>
          <td height="1" colspan="5"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
            <tr>
              <td height="1" colspan="5"><table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                <tr>
                  <td height="1" colspan="5"><table width="100%" border="1" cellspacing="0" cellpadding="0" class='table table-hover'   >
                    <tr>
                      <td height="0" colspan="9" align="center">
                      <input name="gua" type="submit" id="gua" value="Guardar" title="Clic para Guardar"  class="btn btn-primary" onClick="oguardar.value=1;Obuscar.value=1;" >
                      <input name="mod" type="submit" id="mod" value="Modificar" title="Clic para Modificar"  class="btn btn-primary" onClick="omodificar.value=1;" >
                      <input name="bus" type="submit" id="bus" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscar.value=1;" >
                      
                       
                             <a href="reporte_excel_compras.php?proveedor=<?php echo $proveedor;?>">
                             <img src='../imagenes/excel.gif' width='50' height='50'  title="Clic para generar Excel"  />
                             </a>
                        <table width="100%" border="0">
                          <tbody>
                            <tr>
                              <td width="6%">Proveedor</td>
                              <td width="94%"><select name="proveedor" id="proveedor" class="form-control" onChange="Obuscar.value=1;obuscarcodigo.value=1;submit();"  >
                                <?php while ($rowli=mysqli_fetch_array($rs_proveedor))
									{
									 if ($proveedor==$rowli['id'])
										{echo "<option value=".$rowli['id']." selected>".substr($rowli['nombre'],0,40)."</option>";}
									 else
										{echo "<option value=".$rowli['id'].">".substr($rowli['nombre'],0,40)."</option>";}		
									}
							 ?>
                              </select></td>
                            </tr>
                          </tbody>
                        </table></td>
                    </tr>
                    <tr>
                      <td width="1%" height="0" align="center" class="btn-primary">&nbsp;</td>
                      <td width="10%" align="center" class="btn-primary">Tipo</td>
                      <td width="10%" align="center" class="btn-primary">No. Factura</td>
                      <td width="20%" height="0" align="center" class="btn-primary">Valor</td>
                      <td width="20%" height="0" align="center" class="btn-primary">Iva 19</td>
                      <td width="20%" height="0" align="center" class="btn-primary">Iva 10</td>
                      <td width="20%" height="0" align="center" class="btn-primary">Iva 5</td>
                      <td width="5%" align="center" class="btn-primary">Fecha Factura</td>
                      <td align="center" class="btn-primary">Fecha Vence</td>
                      </tr>
                    <tr>
                      <td height="0">&nbsp;</td>
                      <td height="0">
                      <select name="tipofactura" id="tipofactura"
                      class="form-control" data-placement="right"  style="width: 100%" 
                       onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"  >
                        <?PHP
							  if($tipofactura=="F"){echo "<option value='F' selected>Factura</option>";}
							  else {echo "<option value='F' >Factura</option>";}
							  if($tipofactura=="R"){echo "<option value='R' selected>Remision</option>";}
							  else {echo "<option value='R' >Remision</option>";}
							?>
                      </select>
                      </td>
                      <td align="center"><input name="factura" type="text" id="factura"   value="<?php echo $factura; ?>" class="form-control"  style="width: 100px" 
								onKeyPress="if(event.keyCode==13){parametros.precio();} if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td height="0" align="center"><input name="valorfactura" type="text" id="valorfactura"   value="<?php echo $valorfactura; ?>" 
			                      class="form-control"  style="width: 110px"
									onkeypress="mascara(this,cpf);"></td>
                      <td height="0" align="center"><input name="ivafactura" type="text"  id="ivafactura"   value="<?php echo $ivafactura; ?>"
                      class="form-control"  style="width: 100px"
									onkeypress='mascara(this,cpf);'></td>
                      <td height="0" align="center"><input name="iva10" type="text"  id="iva10"   value="<?php echo $iva10; ?>"
                      class="form-control"  style="width: 100px"
									onkeypress='mascara(this,cpf);'></td>
                      <td height="0" align="center"><input name="iva5" type="text"  id="iva5"   value="<?php echo $iva5; ?>"
                      class="form-control"  style="width: 100px"
									onkeypress='mascara(this,cpf);'></td>
                      <td height="0" align="center"><input name="fechafactura" type="date" class="form-control"  style="width: 145px" id="fechafactura"   value="<?php echo $fechafactura; ?>" 
 onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      <td height="0" align="center"><input name="fechavence" type="date" class="form-control"  style="width: 145px" id="fechavence"   value="<?php echo $fechavence; ?>" 
 onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                      </tr>
                    <?php
                    $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from inventario_proveedor 
		 												 where proveedor='".$proveedor."'");
						 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
						 if($contar>=1)
						   { $c=1;
							 $sql_datos=mysqli_query($conexion,"SELECT id,factura,valor,iva,iva10,iva5,fecha,fechavence,tipofactura
									 					     from inventario_proveedor
															 where proveedor='".$proveedor."' 
															 order by fechavence asc");
							   while ($datos= mysqli_fetch_row($sql_datos))//04
								  { 
									$idi=$datos[0];
									$rsfactura=$datos[1];
									$rsvalor=$datos[2];
									$rsiva=$datos[3];
									$rsiva10=$datos[4];
									$rsiva5=$datos[5];
									$rsfecha=$datos[6];
									$rsfechavence=$datos[7];
									$rstipofactura=$datos[8];
									
									$efectivopagado=0;
									 $sql_consulta=mysqli_query($conexion,"select count(*) as contar from inventario_proveedor_pagos
																			 where proveedor='".$proveedor."' and factura='".$rsfactura."'"); 
									 while($datosrs= mysqli_fetch_row($sql_consulta)){ $contar=$datosrs[0];}
									 if($contar>=1)
									  {
										$sql_consulta=mysqli_query($conexion,"select sum(valor) as efectivopag from inventario_proveedor_pagos
											 where proveedor='".$proveedor."' and factura='".$rsfactura."'"); 
										while($datosrs= mysqli_fetch_row($sql_consulta)){ $efectivopagado=$datosrs[0];}
									  }
									  $saldo=$rsvalor-$efectivopagado;
									  $color='';	
									  if($saldo>0){$colorr='#AD0000';} else {$color='#8DD18A';}
									  if($saldo==0){$colorr='#8DD18A';} 

									   $mensajesaldo=number_format($saldo);	
									 echo "<tr  >
											  <td title='SALDO: $mensajesaldo' bgcolor='$colorr'>
											   <div align='center'><input type='checkbox' name='ch$c' >
												 <input name='idi$c' type='hidden' class='texto'  value='$idi' size='5'>";
												 ?>
												 	
                             
                             				<?php
											   echo  "</div>
											   </td>
											   <td align='center' bgcolor='$color' >
											   <select name='tipofactura$c' id='tipofactura$c'
												  class='form-control' data-placement='right'  style='width: 100%' >";
														  if($rstipofactura=="F"){echo "<option value='F' selected>Factura</option>";}
														  else {echo "<option value='F' >Factura</option>";}
														  if($rstipofactura=="R"){echo "<option value='R' selected>Remision</option>";}
														  else {echo "<option value='R' >Remision</option>";}
												
												echo " </select>
											   </td>
											  <td align='center' bgcolor='$color' >
											   <input name='rsfactura$c' type='text'  id='rsfactura$c' value='$rsfactura'
                     								 class='form-control'  style='width: 100%'>";
													 ?>
                                                     <img src='../imagenes/factura.png' width='37' height='35' 
							 onClick="javascript:window.open('frm_recepcion_inventario_productos.php?proveedor=<?php echo $proveedor;?>&factura=<?php echo $rsfactura;?>&fechafactura=<?php echo $rsfecha; ?>','CArgaInventario','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');"title='Clic Recepcion de Items'  />											
													 <img src='../imagenes/precio.png' width='37' height='35' 
							 onClick="javascript:window.open('frm_abonocompras.php?proveedor=<?php echo $proveedor;?>&factura=<?php echo $rsfactura;?>&proceso=2','Abonos','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');"title='Clic cargar Pagos factura'  />								
                             			<?php				
											 echo " </td>																					
											  <td align='center' bgcolor='$color'>
											   <input name='rsvalor$c' type='text'  id='rsvalor$c' value='$rsvalor'
                     								 class='form-control'  style='width: 100%'
				 									onkeypress='mascara(this,cpf);'>
											  </td>													  
											  <td align='center' bgcolor='$color'>
											  <input name='rsiva$c' type='text'  id='rsiva$c' value='$rsiva'
                     								 class='form-control'  style='width: 100%'
				 									onkeypress='mascara(this,cpf);'>
											  </td>	
											  <td align='center' bgcolor='$color'>
											  <input name='rsiva10$c' type='text'  id='rsiva10$c' value='$rsiva10'
                     								 class='form-control'  style='width: 100%'
				 									onkeypress='mascara(this,cpf);'>
											  </td>	
											  <td align='center' bgcolor='$color'>
											     <input name='rsiva5$c' type='text'  id='rsiva5$c' value='$rsiva5'
                     								 class='form-control'  style='width: 100%'
				 									onkeypress='mascara(this,cpf);'>
												</td>
											  </td>	
											  <td align='center' bgcolor='$color'>
											  <input name='rsfecha$c' type='date' class='form-control'  style='width: 145px' id='rsfecha$c' value='$rsfecha' >
											  </td>
											  <td align='center' bgcolor='$color'>
											  <input name='rsfechavence$c' type='date' class='form-control'  style='width: 145px' id='rsfechavence$c' value='$rsfechavence' >
											  </td>
											  
											</tr>";
											$c=$c+1;
								  }	//04
								  $canti=$c-1;  
		 					  	  echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";
						   }
					
					?>
                    
                    
                    <tr>
                      <td colspan="9"><div align="center">
                        <input name="oguardar" type="hidden" id="oguardar">
                        <input name="Obuscar" type="hidden" id="Obuscar">
                        <input name="oquita" type="hidden" id="oquita">
                        <input name="obuscadato" type="hidden" id="obuscadato">
                        <input name="oculto" type="hidden" id="oculto">
                        <input name="ocargainventario" type="hidden" id="ocargainventario">
                        <input name="obuscarcodigo" type="hidden" id="obuscarcodigo">
                        <input name="Olimpiar" type="hidden" id="Olimpiar">
                        <input name="omodificar" type="hidden" id="omodificar">
                        <br>
                      </div></td>
                    </tr>
                  </table></td>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
        </table>
      </div>
  

 
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	if (tecla==44){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>
 
</form>
<div id="resultado"></div>
</body>
</html>
